Subject: Re: [DNSOP] I-D Action: draft-ietf-dnsop-sutld-ps-02.txt

From: "John Dickinson" <[email-masked]>
Date: Thu, 16 Feb 2017 12:54:50 +0000

Hi,

I originally wrote these notes against the -00 version. -02 is much improved
and many of my notes have gone away. However, there are a couple of minor
things I think could be tweaked….

§1
"...When reading this document, care must
   be taken to not assume that the term Domain Name implies the
   particular protocol for resolving these names, the Domain Name System
   [RFC1034]. ..."

parses badly. Do you mean

"...When reading this document, care must
   be taken to not assume that the term Domain Name implies the use of the
   Domain Name System [RFC1034] for resolving these names. ..."?

§3
Wording of some points after
"Organizations do in fact sometimes commandeer subsets of the
      namespace.  Reasons a third party might do this include:"
could be improved. e.g.
s/Intended use is covered by gTLD process, don't want to pay fee/Intended use is
covered by gTLD process but the third party don't want to pay a fee/

"When a special-use Domain Name is added ..." emphasise that most software may
never get updated.

s/Assertion of authority: there is a sense that the namespace/
Assertion of authority: there is a sense that the TLD portion of the namespace/

s/If there is an IETF process through which a name can be
         assigned at zero cost other than time, this process will be
         used as an alternative to purchasing the name through ICANN./
         If there is an IETF process through which a TLD can be
         assigned at zero cost other than time, this process will be
         used as an alternative to more costly approach of getting the TLDN
         registered through ICANN./

Additional problem: The availability of special use names may encourage protocol
designers to design "bad" protocols.

Originally, I kind of felt that the document may flow better if §4 were before
§3 but since the -01 and -02 changes I am not as bothered as I was.

regards
John

On 31 Jan 2017, at 15:18, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Domain Name System Operations of the IETF.
>
>         Title           : Special-Use Names Problem Statement
>         Authors         : Ted Lemon
>                           Ralph Droms
>                           Warren Kumari
> 	Filename        : draft-ietf-dnsop-sutld-ps-02.txt
> 	Pages           : 20
> 	Date            : 2017-01-31
>
> Abstract:
>    The Special-Use Domain Names IANA registry policy defined in RFC 6761
>    has been shown through experience to present unanticipated
>    challenges.  This memo presents a list, intended to be comprehensive,
>    of the problems that have been identified.  In addition it reviews
>    the history of Domain Names and summarizes current IETF publications
>    and some publications from other standards organizations relating to
>    special-use Domain Names.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-dnsop-sutld-ps/
>
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-dnsop-sutld-ps-02
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-sutld-ps-02
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

John Dickinson

http://sinodun.com

Sinodun Internet Technologies Ltd.
Magdalen Centre
Oxford Science Park
Robert Robinson Avenue
Oxford OX4 4GA
U.K.